## RygelHTTPTimeSeekRequest

RygelHTTPTimeSeekRequest — This class represents a DLNA TimeSeekRange request.

## Functions

gchar * | rygel_http_time_seek_request_to_string ()
gboolean | rygel_http_time_seek_request_supported ()
gboolean | rygel_http_time_seek_request_requested ()

## Types and Values

#define | RYGEL_TYPE_HTTP_TIME_SEEK_REQUEST
#define | RYGEL_HTTP_TIME_SEEK_REQUEST_TIMESEEKRANGE_HEADER
struct | RygelHTTPTimeSeekRequest
struct | RygelHTTPTimeSeekRequestClass

## Object Hierarchy

        GObject
        ╰── RygelHTTPSeekRequest
            ╰── RygelHTTPTimeSeekRequest

## Description

A TimeSeekRange request can only have a time range ("npt=start-end").

## Functions

### rygel_http_time_seek_request_to_string ()

    gchar *
    rygel_http_time_seek_request_to_string
                                   (RygelHTTPTimeSeekRequest *self);

#### Parameters

self | the RygelHTTPTimeSeekRequest instance |

### rygel_http_time_seek_request_supported ()

    gboolean
    rygel_http_time_seek_request_supported
                                   (RygelHTTPGet *request);

Return true if time-seek is supported.

This method utilizes elements associated with the request to determine if a TimeSeekRange request is supported for the given request/resource.

#### Parameters

request |  |

### rygel_http_time_seek_request_requested ()

    gboolean
    rygel_http_time_seek_request_requested
                                   (RygelHTTPGet *request);

Return true of the HTTPGet contains a TimeSeekRange request.

#### Parameters

request |  |

## Types and Values

### RYGEL_TYPE_HTTP_TIME_SEEK_REQUEST

    #define RYGEL_TYPE_HTTP_TIME_SEEK_REQUEST (rygel_http_time_seek_request_get_type ())

The type for RygelHTTPTimeSeekRequest.

### RYGEL_HTTP_TIME_SEEK_REQUEST_TIMESEEKRANGE_HEADER

    #define RYGEL_HTTP_TIME_SEEK_REQUEST_TIMESEEKRANGE_HEADER "TimeSeekRange.dlna.org"

### struct RygelHTTPTimeSeekRequest

    struct RygelHTTPTimeSeekRequest;

This class represents a DLNA TimeSeekRange request.

A TimeSeekRange request can only have a time range ("npt=start-end").

#### Members

### struct RygelHTTPTimeSeekRequestClass

    struct RygelHTTPTimeSeekRequestClass {
    	RygelHTTPSeekRequestClass parent_class;
    };

The class structure for `RYGEL_TYPE_HTTP_TIME_SEEK_REQUEST`. All the fields in this structure are private and should never be accessed directly.

#### Members